Page MenuHomePhabricator

replace gerrit server (ytterbium) with jessie server (lead)
Closed, ResolvedPublic

Description

ytterbium is on precise, but should be jessie

Ubuntu 12.04.4 LTS
ytterbium is a Gerrit master (role::gerrit::production)

Related Objects

StatusAssignedTask
ResolvedNemo_bis
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
ResolvedNone
Resolveddemon
Resolveddemon
Resolveddemon
ResolvedAklapper
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolveddemon
Resolved Dzahn
Resolved Dzahn
ResolvedRobH
ResolvedCmjohnson
Resolveddemon
ResolvedCmjohnson

Event Timeline

Dzahn updated the task description. (Show Details)
Dzahn raised the priority of this task from to Needs Triage.
Dzahn added a project: Operations.
Dzahn set Security to None.
Dzahn renamed this task from reinstall/upgrade gerrit server (ytterbium) to reinstall/upgrade gerrit server (ytterbium) from precise to jessie.
Dzahn added subscribers: Krenair, Ricordisamoa, hashar and 4 others.
Dzahn added a subscriber: demon.
Reedy added a subscriber: Reedy.Jan 28 2016, 12:43 AM

ytterbium is nearly out of warranty. I suspect as it's a still a working machine, it would go into spare after a reinstall?

Dzahn added a subscriber: RobH.Jan 28 2016, 1:00 AM

@RobH please see Reedy's question above.

RobH added a comment.Jan 28 2016, 1:10 AM

This would invalidate once T123132 is approved, and I'd instead reclaim ytterbium to spares.

hashar added a comment.Feb 1 2016, 1:26 PM

We will need to tweak CI configuration and the Zuul merger repos origin. They are pointing to ytterbium.

Andrew triaged this task as Normal priority.Apr 14 2016, 9:02 PM
Andrew assigned this task to Dzahn.
Dzahn removed Dzahn as the assignee of this task.Apr 14 2016, 9:08 PM

Change 296957 had a related patch set uploaded (by Dzahn):
WIP: Gerrit: Setup rsync between old and new machines

https://gerrit.wikimedia.org/r/296957

Change 296957 merged by Dzahn:
Gerrit: Setup rsync between old and new machines

https://gerrit.wikimedia.org/r/296957

Change 297711 had a related patch set uploaded (by Chad):
Gerrit: A few minor tweaks to rsync replication

https://gerrit.wikimedia.org/r/297711

Change 297711 merged by Dzahn:
Gerrit: A few minor tweaks to rsync replication

https://gerrit.wikimedia.org/r/297711

Change 298106 had a related patch set uploaded (by Dzahn):
add gerrit-new records, point to lead

https://gerrit.wikimedia.org/r/298106

Change 298110 had a related patch set uploaded (by Dzahn):
gerrit: move service IP (v4 and v6) into hiera per host

https://gerrit.wikimedia.org/r/298110

Change 298110 merged by Dzahn:
gerrit: add service IP for gerrit-new (lead)

https://gerrit.wikimedia.org/r/298110

Change 298106 merged by Dzahn:
add gerrit-new records, point to lead

https://gerrit.wikimedia.org/r/298106

Dzahn renamed this task from reinstall/upgrade gerrit server (ytterbium) from precise to jessie to replace gerrit server (ytterbium) with jessie server (lead).Jul 11 2016, 9:14 PM

Change 298377 had a related patch set uploaded (by Dzahn):
contint/gerrit: allow ssh for git on new gerrit server

https://gerrit.wikimedia.org/r/298377

Change 298377 merged by Dzahn:
contint/gerrit: allow ssh for git on new gerrit server

https://gerrit.wikimedia.org/r/298377

on gallium (CI server) there are now rules to allow connections from lead

Change 298117 had a related patch set uploaded (by Dzahn):
Gerrit: Simplify SSL and hostname management

https://gerrit.wikimedia.org/r/298117

Change 298117 merged by Dzahn:
Gerrit: Simplify SSL and hostname management

https://gerrit.wikimedia.org/r/298117

Change 298102 had a related patch set uploaded (by Dzahn):
Gerrit: Add lead's remaining hiera overrides we need

https://gerrit.wikimedia.org/r/298102

Change 298118 had a related patch set uploaded (by Dzahn):
Gerrit: install Gerrit on lead (pointing at slave instance for testing)

https://gerrit.wikimedia.org/r/298118

Change 298118 merged by Dzahn:
Gerrit: install Gerrit on lead (pointing at slave instance for testing)

https://gerrit.wikimedia.org/r/298118

Change 298672 had a related patch set uploaded (by Dzahn):
Gerrit: Go ahead and swap git directory locations to simplify lead

https://gerrit.wikimedia.org/r/298672

Change 298672 merged by Dzahn:
Gerrit: Go ahead and swap git directory locations to simplify lead

https://gerrit.wikimedia.org/r/298672

Change 299592 had a related patch set uploaded (by Dzahn):
zuul: switch over from old to new gerrit server

https://gerrit.wikimedia.org/r/299592

Change 299592 abandoned by Dzahn:
zuul: switch gerrit server to lead

Reason:
merged into https://gerrit.wikimedia.org/r/#/c/298673/

https://gerrit.wikimedia.org/r/299592

let me close this when all ytterbium remnants are actually gone (decom etc)

decom:

https://gerrit.wikimedia.org/r/#/c/300806/
https://gerrit.wikimedia.org/r/#/c/300812/

01:36 ostriches: ytterbium: Stopped puppet, stopped gerrit process.
18:15 mutante: ytterbium - revoke puppet cert, delete salt-key, remove from icinga

..

18:47 < mutante> !log ytterbium - shutdown -h now, over and out

18:54 < grrrit-wm> (PS1) Dzahn: contint: remove firewall rule for ytterbium [puppet] - https://gerrit.wikimedia.org/r/301322

Change 301322 had a related patch set uploaded (by Dzahn):
contint: remove firewall rule for ytterbium

https://gerrit.wikimedia.org/r/301322

Change 301322 merged by Dzahn:
contint: remove firewall rule for ytterbium

https://gerrit.wikimedia.org/r/301322

Dzahn closed this task as Resolved.Jul 27 2016, 2:25 AM

no more remnants in puppet or DNS, except mgmt DNS, continued in subtask now